Subject: Re: RFC [PATCH net-2.6 1/6] net: Scheduling softirqs between CPUSs

From: Max Krasnyanskiy <[email-masked]>
Date: Fri, 07 Mar 2008 11:02:31 -0800

David Miller wrote:
> From: [email-masked] (Tom Herbert)
> Date: Wed,  5 Mar 2008 12:51:16 -0800 (PST)
> 
>> This patch implements kernel changes to allow scheduling of softirq's between processors.
>>
>> Signed-off-by: Tom Herbert <[email-masked]>
> 
> I've stated this in the past and I still feel that it is foolish to
> put all of this code into the kernel when every single piece of
> networking hardware will be doing this for us transparently.
> 
> Maybe if someone had proposed this 4 or 5 years ago, but right now
> this code will be irrelevant by the time it ships to any real users.

Plus it seems that for this kind of stuff it be better to replace network 
softirq with kthreads (like in -rt kernel) and let the scheduler take care of 
the load balancing. More flexible and scalable.
I'd suggest for your to play with -rt kernel and see if it already does what 
you need.

Max